Bug 82414 - neat crash on add or update
neat crash on add or update
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
8.0
All Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-21 17:53 EST by Robert Warner
Modified: 2006-10-18 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Warner 2003-01-21 17:53:06 EST
Description of problem:
When I try to add or edit something in the neat config it crashes out.

Version-Release number of selected component (if applicable):


How reproducible:
Every Time

Steps to Reproduce:
1. # neat
2. Click  Add or Hardware dbl click device
3.
    
Actual results:
Crash

Expected results:
Edit or Add

Additional info:


Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 130, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 813, in on_generic_clist_button_release_event
    apply (func)
  File "/usr/sbin/neat", line 1248, in on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/neat", line 1269, in showHardwareDialog
    dialog = ethernetHardwareDialog(hw)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 75, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 135, in setup
    list.append(modInfo[i]['description'])
KeyError: description
Comment 1 Steve Levis 2003-04-01 02:34:09 EST
I've also experienced this error.  The traceback is identical to the one posted
above.  Debugging shows the following variable values at the crash point:

i='defxx'
modInfo[i]={'type': 'eth'}

Apparently, a module is trying to read the description of various hardware
devices, but the 'description' key doesn't exist.  Can anyone add to this?

Comment 2 Will DeHaan 2003-04-02 18:31:17 EST
Reproduced in 7.3 with an Intel e1000 nic (4.4.19 drivers installed): 

When adding hardware or device in the network configuration tool
an unhandled exception occur. See trace below.

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 1239, in on_hardwareAddButton_clicked
    self.showHardwareDialog(type, false)
  File "/usr/sbin/neat", line 1269, in showHardwareDialog
    dialog = ethernetHardwareDialog(hw)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py
", line 75, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py
", line 135, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84c7298>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC 
Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA wireless
(alter
nate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365 wireless', 'Intel
Eth
erExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan NI5010', '3Com 3c515
Corkscre
w', 'SMC 83c170 EPIC/100', 'NI5210 ethernet', 'AT1500, HP J2405A, most
NE2100/clone
', 'MyriCOM MyriNET SBUS', '3Com EtherLink16', 'AT&T/Lucent/Hitachi ISA
WaveLAN', '
SiS 900/7016CI', 'Cabletron E2100', 'NE1000, NE2000, and compatible', 'Intel
EtherE
xpress Pro 100B', 'Allied Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC
2104
0, most 21*40', 'NSC IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com
3c590/3c
595/3c90x/3cx980', '3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com
3c
574 series PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA
wireles
s', 'Xircom CBE-100 CardBus', 'General Instruments SB1000']
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at
84fa258>
i: defxx
Comment 3 Dr Julian Fidge 2003-05-19 03:01:39 EDT
This started when I plugged a new cable modem into my USB port. Works great, but
has shutdown eth0. Some error messages below:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 774, in update_devicelist
    self.activedevicelist = NetworkDevice().get()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
63, in __init__
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
66, in load
OSError: Too many open files
_________

This is a warning box:

eth0 has an alias to module 3c59x in modules.conf, instead of currently loaded
module CDC Ethernet Class
_____________________________

and:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 37,
in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'
________________________
Comment 4 bachan 2003-09-17 06:30:38 EDT
The same kind of bug is reported on the REDHAT ADVANCE SERVER 2.1 
the detail is as

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 276, in save
    modules.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 981, 
in write
    self[key] = self.vars[key]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 933, 
in __setitem__
    findexp = '[\t ]*' + key + '[\t ]+' + varname + '[\t ]+'
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
missing: 1
key: options
place: 0
value: {'options': {}}
self: <netconfpkg.NCHardwareList.MyConfModules instance at 848f958>
varname: None

Comment 5 bachan 2003-09-17 06:32:34 EDT
The same kind of bug is reported on the REDHAT ADVANCE SERVER 2.1 
the detail is as

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 276, in save
    modules.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 981, 
in write
    self[key] = self.vars[key]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 933, 
in __setitem__
    findexp = '[\t ]*' + key + '[\t ]+' + varname + '[\t ]+'
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
missing: 1
key: options
place: 0
value: {'options': {}}
self: <netconfpkg.NCHardwareList.MyConfModules instance at 848f958>
varname: None

Comment 6 Bill Nottingham 2006-08-07 15:29:37 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Bill Nottingham 2006-10-18 12:45:12 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.